Skip to main content
Docs

Search guides and API endpoints, for example “Idempotency-Key” or “submit job”.

    API reference

    Your models

    On this page

    List your MPNN models (deprecated)

    GET/api/v1/user-models/mpnn

    API key or tokenDeprecated

    Parameters

    Query parameters
    NameTypeDescription
    model_namestring

    Example request

    curl "https://api.cognichem.com/api/v1/user-models/mpnn" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · GetMPNNModelsResponse

    Response fields
    FieldTypeDescription
    model_infoobject | null
    model_names[]string[] | null
    models[]SavedModelRef[] | null
    models.classes_by_target[]((string | integer)[])[] | null
    models.created_atstring | null
    models.model_idrequiredstring
    models.model_typerequiredstring
    models.namerequiredstring
    models.statusrequiredstring

    One of: "training", "ready", "failed"

    models.target_names[]string[] | null
    models.taskstring | null
    models.unitstring | null
    models.visibilityrequiredstring

    One of: "private", "public"

    Delete one of your MPNN models (deprecated)

    DELETE/api/v1/user-models/mpnn

    API key or tokenDeprecated

    Parameters

    Query parameters
    NameTypeDescription
    model_namerequiredstring

    Example request

    curl -X DELETE "https://api.cognichem.com/api/v1/user-models/mpnn?model_name=MODEL_NAME" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · MessageResponse

    Response fields
    FieldTypeDescription
    messagerequiredstring

    List your saved models

    GET/api/v1/user-models

    API key or token

    Parameters

    Query parameters
    NameTypeDescription
    model_typestring

    Limits: pattern ^[a-z][a-z0-9_]*$

    include_failedboolean

    Default: false

    Example request

    curl "https://api.cognichem.com/api/v1/user-models?model_type=mpnn" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · UserModelsResponse

    Response fields
    FieldTypeDescription
    models[]requiredUserModelSummary[]
    models.classes_by_target[]((string | integer)[])[] | null
    models.created_atstring | null
    models.descriptionstring | null
    models.failure_reasonstring | null
    models.fold_metricsmap<string, number>
    models.model_idrequiredstring
    models.model_typerequiredstring
    models.namerequiredstring
    models.ready_atstring | null
    models.statusrequiredstring

    One of: "training", "ready", "failed"

    models.tags[]string[]
    models.target_names[]string[] | null
    models.taskstring | null
    models.unitstring | null
    models.visibilityrequiredstring

    One of: "private", "public"

    quotaModelQuota | null
    quota.limitrequiredinteger
    quota.tierrequiredinteger
    quota.usedrequiredinteger

    Get one of your saved models

    GET/api/v1/user-models/{model_id}

    API key or token

    Parameters

    Path parameters
    NameTypeDescription
    model_idrequiredstring

    Limits: pattern ^mdl-[0-9A-HJKMNP-TV-Z]{26}$

    Example request

    curl "https://api.cognichem.com/api/v1/user-models/mdl-01JABCDEFGHJKMNPQRSTVWXYZ0" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · SavedModelDetail

    Response fields
    FieldTypeDescription
    classes_by_target[]((string | integer)[])[] | null
    configobject
    created_atstring | null
    descriptionstring | null
    edited_atstring | null
    failed_atstring | null
    failure_messagestring | null
    failure_reasonstring | null
    fold_metricsmap<string, number>
    framework_versionsobject
    history[]object[]
    job_idstring | null
    metrics_summaryobject
    model_idrequiredstring
    model_typerequiredstring
    namerequiredstring
    ready_atstring | null
    size_bytesinteger

    Default: 0

    staterequiredstring
    statusrequiredstring

    One of: "training", "ready", "failed"

    tags[]string[]
    target_names[]string[] | null
    taskstring | null
    training_jobTrainingJobSummary | null
    training_job.finished_atstring | null
    training_job.job_namestring | null
    training_job.process_idrequiredstring
    training_job.runtime_secondsnumber | null
    training_job.started_atstring | null
    training_job.statusstring | null
    training_job.status_messagestring | null
    unitstring | null
    visibilityrequiredstring

    One of: "private", "public"

    Rename, describe or tag one of your saved models

    PATCH/api/v1/user-models/{model_id}

    API key or token

    Parameters

    Path parameters
    NameTypeDescription
    model_idrequiredstring

    Limits: pattern ^mdl-[0-9A-HJKMNP-TV-Z]{26}$

    Request body

    application/json · UpdateSavedModelRequest

    Request fields
    FieldTypeDescription
    descriptionstring | null

    Limits: max length 2000

    namestring | null

    Limits: max length 128

    tags[]string[] | null

    Limits: max items 20

    Example request

    curl -X PATCH "https://api.cognichem.com/api/v1/user-models/mdl-01JABCDEFGHJKMNPQRSTVWXYZ0" \
      -H "X-Api-Key: $COGNICHEM_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "name": "aqsoldb-logs-v2"
    }'

    Responses

    Successful Response · application/json · SavedModelDetail

    Response fields
    FieldTypeDescription
    classes_by_target[]((string | integer)[])[] | null
    configobject
    created_atstring | null
    descriptionstring | null
    edited_atstring | null
    failed_atstring | null
    failure_messagestring | null
    failure_reasonstring | null
    fold_metricsmap<string, number>
    framework_versionsobject
    history[]object[]
    job_idstring | null
    metrics_summaryobject
    model_idrequiredstring
    model_typerequiredstring
    namerequiredstring
    ready_atstring | null
    size_bytesinteger

    Default: 0

    staterequiredstring
    statusrequiredstring

    One of: "training", "ready", "failed"

    tags[]string[]
    target_names[]string[] | null
    taskstring | null
    training_jobTrainingJobSummary | null
    training_job.finished_atstring | null
    training_job.job_namestring | null
    training_job.process_idrequiredstring
    training_job.runtime_secondsnumber | null
    training_job.started_atstring | null
    training_job.statusstring | null
    training_job.status_messagestring | null
    unitstring | null
    visibilityrequiredstring

    One of: "private", "public"

    Delete one of your saved models

    DELETE/api/v1/user-models/{model_id}

    API key or token

    Parameters

    Path parameters
    NameTypeDescription
    model_idrequiredstring

    Limits: pattern ^mdl-[0-9A-HJKMNP-TV-Z]{26}$

    Example request

    curl -X DELETE "https://api.cognichem.com/api/v1/user-models/mdl-01JABCDEFGHJKMNPQRSTVWXYZ0" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · MessageResponse

    Response fields
    FieldTypeDescription
    messagerequiredstring